<template>
	<div>
		<NavbarTop></NavbarTop>
		<h2>Drag & Drop</h2>
		<div class="container">
			<div id="dropList1" class="list-column droppable" @dragover="allowDrop" @drop="drop">
				<div id="card1" class="card" draggable="true" @dragstart="drag">
				</div>
				<div id="card2" class="card" draggable="true" @dragstart="drag">
				</div>
				<div id="card3" class="card" draggable="true" @dragstart="drag">
				</div>
				<div id="card4" class="card" draggable="true" @dragstart="drag">
				</div>
				<div id="card5" class="card" draggable="true" @dragstart="drag">
				</div>
			</div>
			<div id="dropList2" class="list-column droppable" @dragover="allowDrop" @drop="drop">
			</div>
		</div>
	</div>
</template>

<script>
	import NavbarTop from '@/components/NavbarTop'
	export default {
		name: 'DragAndDropEx',
		components: {
			NavbarTop
		},
		methods: {
			allowDrop: function(ev) {
				ev.preventDefault();
			},
			drag: function(ev) {
				ev.dataTransfer.setData("text", ev.target.id);
			},
			drop: function(ev) {
				var currentTarget = document.getElementById(ev.currentTarget.id);
				ev.preventDefault();
				var data = ev.dataTransfer.getData("text");
				currentTarget.appendChild(document.getElementById(data));
			}
		}
	}

</script>

<style scoped>
[draggable=true] {
	cursor: -webkit-grab;
}
.container {
	display: grid;
	grid-template-columns: repeat(2, minmax(60px, 1fr));
	grid-gap: 10px;
	background-color: rgba(0, 0, 0, 0.1);
	height: 300px;
	max-width: 600px;
	margin: auto;
}
.list-column {
	display: grid;
	justify-items: center;
	align-items: center;
	background-color: rgba(0, 0, 0, 0.05);
}
.card {
	display: block;
	width: 100%;
	height: 50px;
	border-radius: 5px;
	border-color: grey;
	background-color: rgba(0, 0, 0, 0.2);
}
#card1 {
	background-color: red;
}
#card2 {
	background-color: green;
}
#card3 {
	background-color: blue;
}
#card4 {
	background-color: yellow;
}
#card5 {
	background-color: purple;
}
.card:not(:last-child) {
	margin-bottom: 5px;
}
</style>
